Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class ObjectUtils

    java.lang.Object
      com.ejie.r01f.util.ObjectUtils

public class ObjectUtils
extends java.lang.Object

Utilidades sobre objetos.

Constructor Summary
`ObjectUtils()` Constructor vacio

Method Summary
`static boolean` | `equals(java.lang.Object obj1, java.lang.Object obj2)` Utiliza EqualsBuilder de los commons de Jakarta para ver si dos objetos son iguales
`static void` | `initialize(java.lang.Object obj)` Se inicializan los miembros de un objeto.
`static void` | `initializeInitializable(java.lang.Object obj)` Se inicializan los miembros de un objeto.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectUtils

    public ObjectUtils()

  Constructor vacio

Method Detail

### equals

    public static boolean equals(java.lang.Object obj1,
                                 java.lang.Object obj2)

  Utiliza EqualsBuilder de los commons de Jakarta para ver si dos objetos son iguales

  Parameters:
    `obj1` - El objeto 1
    `obj2` - El objeto 2
  Returns:
    true si ambos objetos son iguales y false si no es así

### initialize

    public static void initialize(java.lang.Object obj)

  Se inicializan los miembros de un objeto. Esto se hace para evitar que el usuario tenga que crearlos: Ej de lo que se evita: Pago pago = new Pago(); pago.conceptos = new ArrayList(); pago.conceptos.put("hola"); Ahora simplemente hay que hacer: Pago pago = new Pago(); pago.conceptos.put("hola"); // No hay que llamar al constructor

  Parameters:
    `obj` - El objeto cuyos miembros se van a pre-crear

### initializeInitializable

    public static void initializeInitializable(java.lang.Object obj)

  Se inicializan los miembros de un objeto. Esto se hace para evitar que el usuario tenga que crearlos: Ej de lo que se evita: Pago pago = new Pago(); pago.conceptos = new ArrayList(); pago.conceptos.put("hola"); Ahora simplemente hay que hacer: Pago pago = new Pago(); pago.conceptos.put("hola"); // No hay que llamar al constructor

  Parameters:
    `obj` - El objeto cuyos miembros se van a pre-crear

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD